Bug 49106 - "ext3_write_inode: inside transaction!" errors while running cerberus
"ext3_write_inode: inside transaction!" errors while running cerberus
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-13 15:13 EDT by Clay Cooper
Modified: 2007-04-18 12:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-18 04:35:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clay Cooper 2001-07-13 15:13:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; m18)
Gecko/20010131 Netscape6/6.01

Description of problem:
While running stress-kernel-0.9-19.i386.rpm on fairfax beta 1, console
reports "ext3_write_inode: inside transaction!" continually.  Interspersed
among these messages is another stating: "journal_commit_transaction:
odd-- more buffers."

This behaviour was observed on a 6400 w/ beta1, perc3dc raid 1 container,
5GB ram, ENTERPRISE kernel, 2GB swap, and bios A08.  Errors appeared after
two hours of cerberus.

I've also seen the "ext3" error occur twice over a 4 day period on a 2500
w/ beta1, perc3dc raid 5 container, SMP kernel, 128MB ram, 2GB swap, bios A04.

Error has not appeared on a 1550 w/ beta1, running UP kernel, perc3dc raid
0 container, 512MB ram, 2GB swap, bios A02 after 2 days of cerberus.

In summary, error occurs numerous times with enterprise kernel, a couple of
times with smp kernel, and not at all with up kernel.

How reproducible:
Didn't try, but observed on more than one platform.

Steps to Reproduce:
1.Set up stated configuration, or possibly others.
2.Install and begin stress-kernel-0.9-19.i386.rpm
3.Appears will appear at console.
	

Actual Results:  Stated errors at console

Expected Results:  No errors

Additional info:
Comment 1 Glen Foster 2001-07-13 18:06:36 EDT
This defect considered MUST-FIX for Fairfax gold-release.
Comment 2 Stephen Tweedie 2001-07-18 06:28:55 EDT
Those are simply debugging messages which escaped into the wild.  They are all
harmless and are removed in current versions of ext3.  The next beta kernel will
have them all removed.

Note You need to log in before you can comment on or make changes to this bug.